Permalink
Browse files

bug #3477 Api key user provider should use "implements" instead of "e…

…xtends" (skowi)

This PR was merged into the 2.4 branch.

Discussion
----------

Api key user provider should use "implements" instead of "extends"

Commits
-------

f1c1273 ApiKeyUserProvider should implements UserProviderInterface
f39686a Changed extends to implements
  • Loading branch information...
weaverryan committed Feb 1, 2014
2 parents fb22fa0 + f1c1273 commit a171700fb8d9695947bc1b16c6f61c183f296657
Showing with 2 additions and 2 deletions.
  1. +2 −2 cookbook/security/api_key_authentication.rst
@@ -145,7 +145,7 @@ The ``$userProvider`` might look something like this::
use Symfony\Component\Security\Core\User\UserInterface;
use Symfony\Component\Security\Core\Exception\UnsupportedUserException;
class ApiKeyUserProvider extends UserProviderInterface
class ApiKeyUserProvider implements UserProviderInterface
{
public function getUsernameForApiKey($apiKey)
{
@@ -414,7 +414,7 @@ of the user to make sure it's not out-of-date. But regardless of your requiremen
// src/Acme/HelloBundle/Security/ApiKeyUserProvider.php
// ...
class ApiKeyUserProvider extends UserProviderInterface
class ApiKeyUserProvider implements UserProviderInterface
{
// ...

0 comments on commit a171700

Please sign in to comment.